目标平台:
Wwise SDK 2021.1.4
针对 Linux 的专用信息

本页中包含有关将 Wwise SDK 用于 Linux 平台的专用信息。

在 Linux 上构建时所需的依赖项

要想在 Linux 上构建,一般需要 clang、g++(用于 libstdc++)和 make。 在基于 Debian 的发行版(如 Ubuntu)上,可通过运行以下终端命令来安装这些数据包:

sudo apt install make clang g++

在 Linux 上使用 wp.py 构建插件时,可根据需要选用 pythonpython3。 确保安装 wp.py 首次设置 中所述的必要数据包。

若由 64 位系统交叉编译为 32 位,则还需安装 g++ multilib 数据包。 在基于 Debian 的发行版(如 Ubuntu)上,可通过运行以下命令来加以安装:

sudo apt install g++-multilib

创建 SDK 示例和源代码

提供了通用 makefiles;针对构建目标,必须定义某些环境变量。以下是用于各种目标的设置:

  • Linux_x32 (Intel x86 32 位)
    • AK_LINUX_ARCH=x32
    • CFLAGS=-msse2
  • Linux_x64 (Intel x86 64 位)
    • AK_LINUX_ARCH=x64
  • Linux_armeabi-v6-hf (Raspberry Pi)
    • AK_LINUX_ARCH=armeabi-v6-hf

另外,config 环境变量可设置为debug(调试)profile(性能分析)release(发布) 来选择相应的构建配置;如果不指定,则将使用 debug 配置。

备注: 在 Linux 上使用 wp.py 构建插件时,可改用 -c 参数来指定配置。

Linux 专用 AkPlatformInitSettings

Linux 版本说明